Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 22 Mar 2023 07:49:40 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Very bad experience with your call center staff Ms Fay called several times for my refund payment on my refunded items - order number - 7817559245 
Plz I need my money back I have called several times now I will complain with consumers protection 
Get my money back and I will not ever order  from your store ever 
I’m going to delete the application as well 
Get my money back to my account and that’s it 
Thx
Muneera https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5907296